<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ModifyResults StructType
 * @subpackage Structs
 */
class JP_ModifyResults extends AbstractStructBase
{
    /**
     * The HotelModifyResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelResultModify
     */
    public $HotelModifyResult;
    /**
     * Constructor method for JP_ModifyResults
     * @uses JP_ModifyResults::setHotelModifyResult()
     * @param \StructType\JP_HotelResultModify $hotelModifyResult
     */
    public function __construct(\StructType\JP_HotelResultModify $hotelModifyResult = null)
    {
        $this
            ->setHotelModifyResult($hotelModifyResult);
    }
    /**
     * Get HotelModifyResult value
     * @return \StructType\JP_HotelResultModify|null
     */
    public function getHotelModifyResult()
    {
        return $this->HotelModifyResult;
    }
    /**
     * Set HotelModifyResult value
     * @param \StructType\JP_HotelResultModify $hotelModifyResult
     * @return \StructType\JP_ModifyResults
     */
    public function setHotelModifyResult(\StructType\JP_HotelResultModify $hotelModifyResult = null)
    {
        $this->HotelModifyResult = $hotelModifyResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ModifyResults
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
